Loading...
Searching...
No Matches
BALL::GeometricCenterProcessor Class Reference
Molecular Modeling » Molecular Structure » Geometric property processors.

`#include <BALL/STRUCTURE/geometricProperties.h>`

Inheritance diagram for BALL::GeometricCenterProcessor:

## Public Member Functions

Processor related methods
virtual bool | start ()
virtual bool | finish ()
virtual Processor::Result | operator() (const Atom &atom)
virtual Processor::Result | operator() (const Vector3 &v)
Public Member Functions inherited from BALL::ConstUnaryProcessor< Atom >
virtual | ~ConstUnaryProcessor ()

## Accessors

Vector3 & | getCenter ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Calculates the geometric center of a given Composite object. This processor calculates the geometric center of the atom coordinates of a given molecular object.

  The geometric center is calculated as follows:

  [ \vec{C} = \frac{1}{N} \sum_{i}{N} \vec{r_i} ] Where $\vec{r_i}$ represents the coordinates of the ith atom.

Definition at line 133 of file geometricProperties.h.

## Member Function Documentation

## finish()

virtual bool BALL::GeometricCenterProcessor::finish | ( |  | ) |

virtual

Reimplemented from BALL::ConstUnaryProcessor< Atom >.

## getCenter()

Vector3 & BALL::GeometricCenterProcessor::getCenter | ( |  | ) |

Returns the center of the object

## operator()() [1/2]

virtual Processor::Result BALL::GeometricCenterProcessor::operator() | ( | const Atom & | atom | ) |

inline virtual

Reimplemented from BALL::ConstUnaryProcessor< Atom >.

Definition at line 154 of file geometricProperties.h.

## operator()() [2/2]

virtual Processor::Result BALL::GeometricCenterProcessor::operator() | ( | const Vector3 & | v | ) |

virtual

## start()

virtual bool BALL::GeometricCenterProcessor::start | ( |  | ) |

virtual

Reimplemented from BALL::ConstUnaryProcessor< Atom >.